#' Simulated time-to-event data.
#'
#' This toy data set is simulated for educational purposes explaining the
#' package. It concerns of families in which at least two individuals
#' experienced the event of interest during following up. The covariate of
#' interest is risk modifier 'x'. This data set is inspired by data that
#' is often seen in genetic epidemiological studies in cancer research.
#'
#' @docType data
#'
#' @usage data(fam_dat)
#'
#' @format Data.frame.
#'
#' @keywords datasets
#'
#' @references A new inverse probability of selection weighted Cox model to deal with outcome-dependent sampling in survival analysis
#' Vera H. Arntzen, Marta Fiocco, Inge M.M. Lakeman, Maartje Nielsen, Mar Rodríguez-Girondo
#' doi: https://doi.org/10.1101/2023.02.07.527426 (preprint).
#'
"fam_dat"
